@import "../base/variable.scss";
@import "../base/mixins.scss";


.dashboard_section {
    .dashboard_inner {
        @include clearfix();
        .right_side_wrap {
            @include clearfix();
            .setting {
                padding-bottom: 50px;
                @include clearfix();
                overflow: hidden;
                .listing_section{
                    padding: 0px 30px;
                    .highlights_wrap{
                        .list_divide_main{
                            .list_divide{
                                .item{
                                    float: unset;
                                    padding: 0;
                                }
                            }
                        }
                    }
                }
                .button{
                    text-align: right;
                    ul{
                        
                        padding-right: 37px;
                        li{
                            display:inline-block ;
                            padding-right: 20px;
                            &:last-child{
                                padding-right: unset;
                            }
                        }
                    }
                }
                .transaction {
                    padding: 30px;
                    &.my_order {
                        .table_row_area {
                            table {
                                thead {
                                    tr {
                                        th {
                                            width: auto;
                                            font-weight: 500;
                                            &:nth-child(1){
                                                width: 25%;
                                            }
                                            &:nth-child(2){
                                                width: 25%;
                                            }
                                            &:nth-child(3){
                                                width: 15%;
                                            }
                                            &:nth-child(4){
                                                width: 19%;
                                                padding-right: 22px;
                                            }
                                            &:nth-child(5){
                                                width: 8%;
                                            }
                                            &:nth-child(6){
                                                width: 8%;
                                            }
                                        }
                                    }
                                }
                                tbody{
                                    background-color: #000;
                                }
                            }
                        }
                    }
                    &.dog_pedigrees{
                        .table_row_area {
                            table {
                                thead {
                                    tr {
                                        th {
                                            width: auto;
                                            font-weight: 500;
                                            &:nth-child(1){
                                                width: 6%;
                                            }
                                            &:nth-child(2){
                                                width: 26%;
                                            }
                                            &:nth-child(3){
                                                width: 15%;
                                            }
                                            &:nth-child(4){
                                                width: 17%;
                                            }
                                            &:nth-child(5){
                                                width: 17%;
                                            }
                                            &:nth-child(6){
                                                width: 12%;
                                            }
                                            &:nth-child(7){
                                                width: 8%;
                                            }
                                        }
                                    }
                                }
                                tbody{
                                    background-color: #000;
                                }
                            }
                        }
                    }
                    .table_row_area {
                        table {
                            // border-spacing: 0 20px;
                            // border-collapse: separate;
                            // margin: 20px auto;
    
                            thead {
                                border: none;
                                margin-bottom: 20px;
                                &::after
                                {
                                    line-height: 20px;
                                    content: "";
                                    color:$white;
                                    display: inline-block;
                                }
                                tr {
                                    color: $black;
                                    font-size: 16px;
                                    font-weight: 500;
                                    line-height: 20px;
                                    text-align: center;
                                    border: none;
    
                                    th {
                                        position: sticky;
                                        top: -3px;
                                        background-color: $yellow2;
                                        z-index: 99;
                                        border: none;
                                        font-weight: 600;
                                        overflow: hidden;
                                        width: 20%;
                                        padding: 20px 0;
                                        border: none;
                                        font-weight: 500;
    
                                        &:first-child {
                                            border-top-left-radius: 5px;
                                            border-bottom-left-radius: 5px;
                                        }
    
                                        &:last-child {
                                            border-top-right-radius: 5px;
                                            border-bottom-right-radius: 5px;
                                        }
                                    }
                                }
                            }
    
                            tbody {
                               border: none;
                                tr {
                                    td {
                                        font-size: 14px;
                                        font-weight: 500;
                                        background-color: $breadcame;
                                        text-align: center;
                                        margin-bottom: 0px;
                                        padding: 20px 0;
                                        border: none;
                                        color: $black3;
                                        border-bottom: 2px solid $input;
                                        .deactivate{
                                            color: $offfspra2;
                                            font-size: 14px;
                                            font-weight: 500;
                                        }
                                        .add{
                                            color: $secondary_color;
                                            font-weight: 500;
                                        }
                                        .light_color{
                                            color: $black3;
                                            font-size: 14px;
                                            font-weight: 500;
                                        }
                                        .breed_color{
                                            a{
                                                color: $black;
                                                font-size: 14px;
                                                font-weight: 500;
                                            }
                                        }
                                        .image{
                                            width: 45px;
                                            height: 45px;
                                            border-radius: 5px;
                                            margin-left: 15px;
                                            img{
                                                width: 100%;
                                                height: 100%;
                                                object-fit: cover;
                                            }
                                        }
                                        @include clearfix();
    
                                        // &:first-child {
                                        //     border-top-left-radius: 5px;
                                        // }
    
                                        // &:last-child {
                                        //     border-top-right-radius: 5px;
                                        // }
                                        a{
                                            &.id_color{
                                                color: $black3;
                                                font-size: 14px;
                                                font-weight: 500;
                                            }
                                        }
                                        .icon{
                                            .dropdown{
                                                .dropdown-toggle{
                                                    border: none;
                                                    a{
                                                        &.color{
                                                            color: $left_arrow;
                                                            font-weight: 500;
                                                        }
                                                    }
                                                    &:after{
                                                        content: none;
                                                    }
                                                }
                                                ul{
                                                    &.dropdown-menu{
                                                        padding: 0;
                                                        border-radius: 5px;
                                                        border: none;
                                                        box-shadow: 0px 4px 40px 0px #0000001A;
                                                        li{
                                                            border-bottom: 1px solid $border_line;
                                                            a{
                                                                &.dropdown-item{
                                                                    font-size: 14px;
                                                                    font-weight: 500;
                                                                    color: $secondary-color;
                                                                    padding-top: 15px;
                                                                    padding-bottom: 15px;
                                                                    &:active{
                                                                        background: $primary-color;
                                                                    }
                                                                }
                                                            }
                                                            &:last-child{
                                                                border-bottom: unset;
                                                            }
                                                        }
                                                    }
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }
}


/* Extra Huge large desktops */
@media (min-width: 3891px) and (max-width: 5120px) {}

/* Extra Huge large desktops */
@media (min-width: 3831px) and (max-width: 3891px) {}

/* Extra Huge large desktops */
@media (min-width: 2840px) and (max-width: 3831px) {}

/* Extra Huge large desktops */
@media (min-width: 2560px) and (max-width: 3850px) {}

/* Extra Huge large desktops */
@media (min-width: 1921px) and (max-width: 2560px) {}

/* Extra Huge large desktops */
@media (min-width: 1920px){
    
}

/* Extra Huge large desktops */
@media (min-width: 1680px) and (max-width: 1919px){
    
}

/* Extra Huge large desktops */
@media (min-width: 1600px) and (max-width: 1679px){
    
}

/* Extra large desktops and mac laptops*/
@media (min-width: 1400px) and (max-width: 1599px){
    
}

@media (min-width: 1200px) and (max-width: 1399px){
}

/* Landscape tablets and medium desktops */
@media (min-width: 992px) and (max-width: 1199px) {
    .dashboard_section{
        .dashboard_inner{
            .right_side_wrap{
                .setting{
                    .transaction{
                        &.my_order{
                            .table_row_area{
                                table{
                                    thead{
                                        tr{
                                            th{
                                                white-space: nowrap;
                                                padding: 20px;

                                            }
                                        }
                                    }
                                    tbody{
                                        tr{
                                            td{
                                                white-space: nowrap;
                                                padding-left: 10px;
                                            }
                                        }
                                    }
                                }
                            }
                        }
                        .table_row_area{
                            table{
                                tbody{
                                    tr{
                                        td{
                                            .image{
                                                margin-left: 0;
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }
}

/* Landscape tablets and ipad */
@media (min-width: 768px) and (max-width: 991px) {
    .dashboard_section{
        .dashboard_inner{
            .right_side_wrap{
                .setting{
                    .transaction{
                        &.my_order{
                            .table_row_area{
                                table{             
                                    thead{
                                        tr{
                                            th{
                                                white-space: nowrap;
                                                padding: 20px;
                                            }
                                        }
                                    }
                                    tbody{
                                        tr{
                                            td{
                                                white-space: nowrap;
                                                padding-left: 10px;
                                            }
                                        }
                                    }
                                }
                            }
                        }
                        .table_row_area{
                            table{
                                tbody{
                                    tr{
                                        td{
                                            .image{
                                                margin-left: 0;
                                            }
                                            .icon{
                                                .dropdown{
                                                    ul{
                                                        &.dropdown-menu{
                                                            li{
                                                                a{
                                                                    &.dropdown-item{
                                                                        padding-top: 13px;
                                                                        padding-bottom: 13px;
                                                                    }
                                                                }
                                                            }
                                                        }
                                                    }
                                                }
                                            } 
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }
}

/* Landscape phones and portrait tablets */
@media (min-width: 576px) and (max-width: 767px) {
    .dashboard_section{
        .dashboard_inner{
            .right_side_wrap{
                .setting{
                    .transaction{
                        padding-left: 0px;
                        padding-right: 0px;
                        &.my_order{
                            .table_row_area{
                                table{             
                                    thead{
                                        tr{
                                            th{
                                                white-space: nowrap;
                                                padding: 20px;
                                            }
                                        }
                                    }
                                    tbody{
                                        tr{
                                            td{
                                                white-space: nowrap;
                                                padding-left: 10px;
                                            }
                                        }
                                    }
                                }
                            }
                        }
                        .table_row_area{
                            table{
                                tbody{
                                    tr{
                                        td{
                                            .image{
                                                margin-left: 0;
                                            }
                                            .icon{
                                                .dropdown{
                                                    ul{
                                                        &.dropdown-menu{
                                                            li{
                                                                a{
                                                                    &.dropdown-item{
                                                                        padding-top: 12px;
                                                                        padding-bottom: 12px;
                                                                    }
                                                                }
                                                            }
                                                        }
                                                    }
                                                }
                                            } 
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }
}

/* Landscape phones and portrait tablets */
@media (min-width: 361px) and (max-width: 575px) {
    .dashboard_section{
        .dashboard_inner{
            .right_side_wrap{
                .setting{
                    .button{
                        text-align: left;
                        padding-left: 20px;
                        ul{
                            li{
                                a{
                                    &.btn-primary{
                                        width: 137px;

                                    }
                                }
                            }
                        }
                    }
                    .transaction{
                        padding-left: 0px;
                        padding-right: 0px;
                        &.my_order{
                            .table_row_area{
                                table{             
                                    thead{
                                        tr{
                                            th{
                                                white-space: nowrap;
                                                padding: 20px;
                                            }
                                        }
                                    }
                                    tbody{
                                        tr{
                                            td{
                                                white-space: nowrap;
                                                padding-left: 10px;
                                            }
                                        }
                                    }
                                }
                            }
                        }
                        .table_row_area{
                            table{
                                tbody{
                                    tr{
                                        td{
                                            .image{
                                                margin-left: 0;
                                            }
                                            .icon{
                                                .dropdown{
                                                    ul{
                                                        &.dropdown-menu{
                                                            li{
                                                                a{
                                                                    &.dropdown-item{
                                                                        padding-top: 10px;
                                                                        padding-bottom: 10px;
                                                                    }
                                                                }
                                                            }
                                                        }
                                                    }
                                                }
                                            } 
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }
 }

/* Smaller phones */
@media (max-width: 360px) {
    .dashboard_section{
        .dashboard_inner{
            .right_side_wrap{
                .setting{
                    .button{
                        text-align: left;
                        padding-left: 20px;
                        ul{
                            li{
                                a{
                                    &.btn-primary{
                                        width: 137px;
                                    }
                                }
                            }
                        }
                    }
                    .transaction{
                        padding-left: 0px;
                        padding-right: 0px;
                        &.my_order{
                            .table_row_area{
                                table{             
                                    thead{
                                        tr{
                                            th{
                                                white-space: nowrap;
                                                padding: 20px;
                                            }
                                        }
                                    }
                                    tbody{
                                        tr{
                                            td{
                                                white-space: nowrap;
                                                padding-left: 10px;
                                            }
                                        }
                                    }
                                }
                            }
                        }
                        .table_row_area{
                            table{
                                tbody{
                                    tr{
                                        td{
                                            .image{
                                                margin-left: 0;
                                            }
                                            .icon{
                                                .dropdown{
                                                    ul{
                                                        &.dropdown-menu{
                                                            li{
                                                                a{
                                                                    &.dropdown-item{
                                                                        padding-top: 10px;
                                                                        padding-bottom: 10px;
                                                                    }
                                                                }
                                                            }
                                                        }
                                                    }
                                                }
                                            } 
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }
}

/* Smaller phones */
@media (max-width: 320px) {
    .dashboard_section{
        .dashboard_inner{
            .right_side_wrap{
                .setting{
                    .button{ 
                        ul{
                            li{
                                a{
                                    &.btn-primary{
                                        width: 118px;
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }
}